import 'dart:ui';

import 'package:flutter/material.dart';

const int lightShade = 200;
const int shade = 300;
const int variant = 400;
const int darkShade = 700;


abstract class ZEColor {
  // Base Colors
  static const ColorSwatch White = ColorSwatch(0xFFFFFFFF, {
    lightShade: Color(0x33FFFFFF),
    shade: Color(0x33FFFFFF)
  });
  static const ColorSwatch Background = ColorSwatch(0xFFF8F8F8, {
    lightShade: Color(0xFFF2F5F8),
    shade: Color(0xFFEAEFF4)
  });

  // Primary Swatch
  static const ColorSwatch Primary = ColorSwatch(0xFF0E1D2C, {
    lightShade: Color(0xFFA5B2BE),
    shade: Color(0xFFA5B2BE),
    variant: Color(0xFF3E5061),
  });


  //Secondary Swatch
  static const ColorSwatch Blue = ColorSwatch(0xFF5580FF, {
    lightShade: Color(0xFFE7EDFF),
    shade: Color(0xFFE7EDFF),
    variant: Color(0xFF00B7CF)
  });

  static const ColorSwatch Orange = ColorSwatch(0xFFFF8A73, {
    darkShade: Color(0xFFFF4820),
    lightShade: Color(0xFFFFF4E9),
    shade: Color(0xFFFFF4E9)
  });


  static const ColorSwatch Pink = ColorSwatch(0xFFFF0270, {
    lightShade: Color(0xFFFFECEC),
    shade: Color(0xFFFFECEC)
  });
  static const ColorSwatch Green = ColorSwatch(0xFF51C185, {
    lightShade: Color(0xFFE3F8ED),
    shade: Color(0xFFE3F8ED)

  });
  static const ColorSwatch Yellow = ColorSwatch(0xFFFAA746, {
    lightShade: Color(0xFFFFF6EC),
    shade: Color(0xFFFFF6EC)
  });


  static const Color Red = Color(0xFFEB5757);
}




